<style>
    .sub-role-style{
        display: none;
    }

    input[type=radio] {
        position: absolute;
        visibility: hidden;
        display: none;
    }
    label {
        color: #9a929e;
        display: inline-block;
        cursor: pointer;
        font-weight: bold;
        padding: 5px 20px;
    }
    input[type=radio]:checked + label {
        color: #ccc8ce;
        background: #675f6b;
    }
    label + input[type=radio] + label {
        border-left: solid 3px #675f6b;
    }
    .radio-group {
        border: solid 3px #675f6b;
        display: inline-block;
        margin: 20px;
        border-radius: 10px;
        overflow: hidden;
    }
    .show-block{
        display: block !important;
    }
    .hide-block{
        display: none !important;
    }

    .not-allow-button{
        cursor: not-allowed;
    }


</style>
<div class="sticky-container">
    <span style="display: none" id="user_login" th:text="${adminUser.login}"></span>
    <span style="display: none" id="user_role" th:text="${adminUser.allRoles}"></span>
    <input type="hidden" id="facCode_User" th:value="${adminUser.additionalFields}">
    <input id="contextRoot" name="contextRoot" type="hidden" th:value="@{/}"/>

    <div class="content-area-title-bar entity-form-actions">

        <h3>
            <span class="admin-section">
               Best Seller Report
            </span>
        </h3>
        <h4>
             <span th:each="mItem : ${adminUser.allRoles}">
                <span class="sub-role-style"  name="sub_role" type="text"
                      th:text="${mItem.name}" ></span>
            </span>
        </h4>

        <div id="headerFlashAlertBoxContainer" class="hidden">
            <div id="headerFlashAlertBox" class="alert-box success" style="display: none;">
                <span class="alert-box-message"></span>
            </div>
        </div>
        <div id="headerChangeBoxContainer" class="hidden">
            <div id="headerChangeBox" class="success" style="display: none;">
                <span class="change-box-message"></span>
            </div>
        </div>
    </div>
    <div class="content-yield listgrid-container" id="main">


        <div class="listgrid-search row">

            <div class="col12">
                <div class ="col3">
                    <label style="display: block !important;">Manufacture</label>
                    <input style="margin-right: 15px !important;" class="col2"  id="search_creator" type="search" name="table-search" placeholder="Creator">
                </div>
                <div id="div_search_fac" class ="col3 hide-block">
                    <label style="display: block !important;">Factory</label>
                    <input style="margin-right: 15px !important;" class="col2"  id="search_by_fac" type="search" name="table-search" placeholder="Factory">
                </div>
                <div class ="col3">
                    <label style="display: block !important;">Year</label>
                    <select  id="search_by_year" name="table-search" >
                    </select>
                </div>
            </div>

        </div>

        <div class="listgrid-search row">
            <div class="radio-group">
                <input value="10" checked type="radio" id="option-one" name="selector">
                <label for="option-one">Top10</label>
                <input value="50"  type="radio" id="option-two" name="selector">
                <label for="option-two">Top50</label>
                <input value="100"  type="radio" id="option-three" name="selector">
                <label for="option-three">Top100</label>
                <input value="500"  type="radio" id="option-four" name="selector">
                <label for="option-four">Top500</label>
                <input value="1000"  type="radio" id="option-five" name="selector">
                <label for="option-five">Top1000</label>
                <input value="all"  type="radio" id="option-six" name="selector">
                <label for="option-six">All</label>
            </div>
        </div>

        <div class="listgrid-search row">
            <div class="col2">
                <!-- Filter information -->
                <div class="listgrid-search-actions">
                    <button disabled style="margin-left: 7px;" id="btn_export" class="button primary search-button not-allow-button">Export</button>
                </div>
            </div>

        </div>
    </div>

    <blc:bundle name="libs.js"
                mapping-prefix="/js/"
                files="lib/jquery-3.1.1.min.js" />

    <blc:bundle name="bestSellerReport.js"
                mapping-prefix="/js/"
                files="report/bestSellerReport/adminMode.js" />
</div>